<?xml version="1.0"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xs:element name="roasterlog">
		<xs:complexType>
			<xs:sequence>
				<xs:element name="id" type="xs:integer" default="0"/>
				<xs:element name="custom_id" type="xs:string" default=""/>
				<xs:element name="coffee_name" type="xs:string" default=""/>
				<xs:element name="description" type="xs:string" default=""/>
				<xs:element name="self_cupping" type="xs:string" default=""/>
				<xs:element name="fire_ctrl" type="xs:string" default=""/>
				<xs:element name="customer" type="xs:string" default="myself"/>
				<xs:element name="roaster_id" type="xs:string" default="RF300_1"/>
				<xs:element name="ctrl_version" type="xs:string" default="rf_01"/>
				<xs:element name="score" type="xs:integer" default="-1"/>
				<xs:element name="start_time" type="xs:dateTime"/>
				<xs:element name="end_time" type="xs:dateTime"/>
				<xs:element name="duration" type="xs:integer" default="0"/>
				<xs:element name="start_weight" type="xs:integer" default="0"/>
				<xs:element name="end_weight" type="xs:integer" default="0"/>
				<xs:element name="env_temp" type="xs:integer" default="0"/>
				<xs:element name="env_humi" type="xs:integer" default="0"/>
				<xs:element name="first_crack_start" type="xs:integer" default="0"/>
				<xs:element name="first_crack_max" type="xs:integer" default="0"/>
				<xs:element name="first_crack_end" type="xs:integer" default="0"/>
				<xs:element name="second_crack_start" type="xs:integer" default="0"/>
				<xs:element name="second_crack_max" type="xs:integer" default="0"/>
				<xs:element name="second_crack_end" type="xs:integer" default="0"/>
				<xs:element name="random_str" type="xs:string" default=""/>
				<xs:element name="time_log_str" type="xs:string" default=""/>
				<xs:element name="record" maxOccurs="unbounded" type="logitem"/>
			</xs:sequence>
		</xs:complexType>
	</xs:element>

	<xs:element name="logitem">
		<xs:complexType>
			<xs:sequence>
				<xs:element name="second" type="xs:integer"/>
				<xs:element name="bt" type="xs:integer"/>
				<xs:element name="power" type="xs:integer"/>
				<xs:element name="fanlevel" type="xs:integer"/>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
</xs:schema>

